package com.jiuqi.sql.impl;

import com.jiuqi.sql.FieldInfo;
import com.jiuqi.sql.FieldInfoList;
import com.jiuqi.sql.InputDataSetMetaData;

public class DBaseInputDataSetMetaData implements InputDataSetMetaData {
   private FieldInfoList fieldInfos;

   public DBaseInputDataSetMetaData(FieldInfoList infos) {
      this.fieldInfos = infos;
   }

   public int getFieldCount() {
      return this.fieldInfos.size();
   }

   public String getFieldName(int index) {
      return this.fieldInfos.get(index - 1).name;
   }

   public int getFieldType(int index) {
      return this.fieldInfos.get(index - 1).type;
   }

   public int getFieldSize(int index) {
      return this.fieldInfos.get(index - 1).type == 6 ? this.fieldInfos.get(index - 1).size : 0;
   }

   public FieldInfo getField(int index) {
      return this.fieldInfos.get(index - 1);
   }

   public int getFieldDecimal(int index) {
      return this.fieldInfos.get(index - 1).decimal;
   }

   public static void main(String[] args) {
   }
}
